QuantLib: Brazil Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Types | Public Member Functions | List of all members
Brazil Class Reference
Date and time calculations » Calendars

Brazilian calendar. More...

`#include <ql/time/calendars/brazil.hpp>`

Inheritance diagram for Brazil:
[legend]

## Public Types
enum | Market { Settlement, Exchange }
| Brazilian calendars. More...

## Public Member Functions
| Brazil (Market market=Settlement)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members
Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Brazilian calendar.

Banking holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st
- Tiradentes's Day, April 21th
- Labour Day, May 1st
- Independence Day, September 7th
- Nossa Sra. Aparecida Day, October 12th
- All Souls Day, November 2nd
- Republic Day, November 15th
- Christmas, December 25th
- Passion of Christ
- Carnival
- Corpus Christi

Holidays for the Bovespa stock exchange

- Saturdays
- Sundays
- New Year's Day, January 1st
- Sao Paulo City Day, January 25th
- Tiradentes's Day, April 21th
- Labour Day, May 1st
- Revolution Day, July 9th
- Independence Day, September 7th
- Nossa Sra. Aparecida Day, October 12th
- All Souls Day, November 2nd
- Republic Day, November 15th
- Black Consciousness Day, November 20th (since 2007)
- Christmas Eve, December 24th
- Christmas, December 25th
- Passion of Christ
- Carnival
- Corpus Christi
- the last business day of the year

Tests:
  the correctness of the returned results is tested against a list of known holidays.

## Member Enumeration Documentation

## ◆ Market

enum Market

Brazilian calendars.

Enumerator
Settlement | generic settlement calendar
Exchange | BOVESPA calendar.